Skip to main content
POST
/
api
/
sso
/
orgs
/
{orgId}
/
domains
Add domain
curl --request POST \
  --url https://api.example.com/api/sso/orgs/{orgId}/domains \
  --header 'Content-Type: application/json' \
  --cookie better-auth.session_token= \
  --data '
{
  "domain": "<string>"
}
'
{
  "id": "<string>",
  "domain": "<string>",
  "txtRecordName": "<string>",
  "txtRecordValue": "<string>",
  "status": "pending",
  "allowAutoEnroll": true,
  "createdAt": "<string>",
  "verifiedAt": "<string>",
  "lastCheckedAt": "<string>"
}

Authorizations

better-auth.session_token
string
cookie
required

Path Parameters

orgId
string
required

Body

application/json
domain
string
required
Minimum string length: 1

Response

201 - application/json

Default Response

id
string
required
domain
string
required
txtRecordName
string
required
txtRecordValue
string
required
status
required
Available options:
pending
allowAutoEnroll
boolean
required
createdAt
string
required
verifiedAt
string
lastCheckedAt
string